$(document).ready(function () {
    $("body").on(" blur", ".visatype", getvouch);
    // $("body").on("blur", ".manualno,.visano", chkexist);
    $("body").on("change", "#file", previewimg);
    $("body").on("change", ".file", preview_rowimg);
    $("body").off("click").on("click", ".remove", remove);
    $(".modalbody").on("click", ".tdsponsor", filval);
    $(".brokbody").on("click", ".tdbroker", brokfilval);
    $("body").on("click", ".imgshow", getImgModal);
    $("body").on("click", ".imgshow1", getImgModal1);

    $("body").on("blur ", ".passport", getpassport);
//    $("body").on("blur ", ".visano,.mofano", getVisaMofa);
    $("body").on("blur ", ".mofano", getUnqMofa);
    $("body").on("blur ", ".visano", getUnqVisano);

    $("body").on("blur ", ".visaqty", getaddrows);
    $("body").on("blur ", ".passport", gettran);

    $("body").on("blur ", ".mofano2", getmofa2);


    $("body").on("blur change ", ".manualno", getfileno);
    $("body").on(" change  keyup", ".delvstatus,.visatype", getvisa);
    $("body").on(" change  keyup click", ".edit1", getmodal);

    $("body").on("click", ".savelight", saveLightDet);
    $("body").on("click", ".savepart", savePart);

    $("body").on("click", ".edit", edit);
    $("body").on("click", ".edit1", edit1);
    $("body").on("change", ".visatype", chgCompAgen);
    chgCompAgen();
    function chgCompAgen() {
        var visatype = $(".visatype").val();
        if (visatype == 'F') {
            $(".compagen").show();
            $(".agen").hide();
        } else {
            $(".agen").show();
            $(".compagen").hide();
        }
    }

    $(".showPdfModal").click(function () {
        $(".pdfUploadModal").modal("show");
    });


    function getPdf() {
        var vouchno = $("#pdfvouchno").val(),
                series = $("#series").val(),
                data = {vouchno: vouchno, series: series};
        $.ajax({
            type: "POST",
            datatype: "json",
            url: "billpdf.php",
            data: data,
            success: function (response) {
                $("#show").show();
                $("#show").attr("href", response.image);
            },
            error: function (request, errorStatus, errorThrown) {

            }
        });
    }

    function _(el) {
        return document.getElementById(el);
    }
    $(".pdfUpload").click(function () {
        pdfUpload();
        getPdf();
    });
    function pdfUpload() {
        var file = _("file2").files[0];
        var series = _("pdfseries").value;
        var vouchno = _("pdfvouchno").value;
//        alert(file.name+" | "+file.size+" | "+file.type);
        var formdata = new FormData();
        formdata.append("file2", file);
        formdata.append("vouchno", vouchno);
        formdata.append("series", series);
        var ajax = new XMLHttpRequest();
        ajax.upload.addEventListener("progress2", progressHandler, false);
        ajax.addEventListener("load", completeHandler, false);
        ajax.addEventListener("error", errorHandler, false);
        ajax.addEventListener("abort", abortHandler, false);
        ajax.open("POST", "purPdfUpload.php");
        ajax.send(formdata);
    }

    function progressHandler(event) {
        _("loaded_n_total2").innerHTML = "Uploaded " + event.loaded + " bytes of " + event.total;
        var percent = (event.loaded / event.total) * 100;
        _("progressBar2").value = Math.round(percent);
        _("status2").innerHTML = Math.round(percent) + "% uploaded... please wait";
    }

    function completeHandler(event) {
        _("status2").innerHTML = event.target.responseText;
        _("progressBar2").value = 0;
//        setTimeout(function(){ GetImage(); },3000);
    }

    function errorHandler(event) {
        _("status2").innerHTML = "Upload Failed";
    }

    function abortHandler(event) {
        _("status2").innerHTML = "Upload Aborted";
    }
    getPdf();



    $(".mofasms").click(function () {
        var mofd1 = $(".mofd1").val(),
                mobile = $(".mobileno").val(),
                pax1 = $(".pax1").val(),
                pass1 = $(".pass1").val(),
                mof1 = $(".mof1").val(),
                data = {mofd1: mofd1, mobile: mobile, pax1: pax1, pass1: pass1, mof1: mof1};
        if (mofd1 != '0000-00-00') {
            $.ajax({
                type: 'GET',
                dataType: 'json',
                url: "sendSMS.php",
                data: data,
                success: function (response) {
                    if (response.success == true) {
                        alert("SMS Sent to Registered Mobile No.");
                    }
                }
            });
        }
    });

    $(".stampsms").click(function () {
        var stamp1 = $(".stamp1").val(),
                // stampstatus = $(".stampstatus1").val(),

                mobile = $(".mobileno").val(),
                pax1 = $(".pax1").val(),
                pass1 = $(".pass1").val(),
                mof1 = $(".mof1").val(),
                data = {stamp1: stamp1, mobile: mobile, pax1: pax1, pass1: pass1, mof1: mof1};
        if (stamp1 != '0000-00-00') {
            $.ajax({
                type: 'GET',
                dataType: 'json',
                url: "sendstampSMS.php",
                data: data,
                success: function (response) {
                    if (response.success == true) {
                        alert("SMS Sent to Registered Mobile No.");
                    }
                }
            });
        }
    });

    $(".passportsms").click(function () {
        var pasd1 = $(".pasd1").val(),
                mobile = $(".mobileno").val(),
                pax1 = $(".pax1").val(),
                pass1 = $(".pass1").val(),
//                mof1 = $(".mof1").val(),
                data = {pasd1: pasd1, mobile: mobile, pax1: pax1, pass1: pass1};
        if (pasd1 != '0000-00-00') {
            $.ajax({
                type: 'GET',
                dataType: 'json',
                url: "sendpassSMS.php",
                data: data,
                success: function (response) {

                    if (response.success == true) {
                        alert("SMS Sent to Registered Mobile No.");
                    }
                }
            });
        }

    });

    //    function get() {
    //        $("#addnew").click(function () {
    //            AddRows();
    //        });
    //    }
    function getaddrows() {
        var visaqty = $(".visaqty").val();
        var items = $("#items").val();
        var c = items;

        for (i = c; i < visaqty; i++) {
            $("#addnew").click();
            items++;
            //      console.log(items);

            $("#items").val(items);
            console.log(items);
        }
    }

    function gettran() {
        var tr = $(this).closest("tr"),
                passport = tr.find(".passport").val();

        if (passport != "") {
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "get_tran.php",
                data: {passport: passport},
                success: function (response) {
                    if (response != "") {
                        var vissdate = response.issdate,
                                vissplace = response.issplace,
                                vreligion = response.religion,
                                vdoe = response.doe,
                                vpaxname = response.paxname,
                                vdob = response.dob,
                                vaddress = response.address,
                                vmobile = response.mobile;

                        //                tr.find(".passport").val(),
                        tr.find(".issdate").val(vissdate),
                                tr.find(".issplace").val(vissplace),
                                tr.find(".doe").val(vdoe),
                                tr.find(".religion").val(vreligion).trigger("change"),
                                tr.find(".dob").val(vdob),
                                tr.find(".address").val(vaddress),
                                tr.find(".tmobile").val(vmobile),
                                tr.find(".paxname").val(vpaxname);
                    }
                },
                error: function (request, textStatus, errorThrown) {},
            });
        }
    }

    //    function getmofa2() {
    //        var tr = $(this).closest("tr"),
    //                mofano = tr.find(".mofano2").val(),
    //                myvouch = $(".myvouch").val();
    //        $.ajax({
    //            type: "POST",
    //            dataType: "json",
    //            url: "get_mofa2.php",
    //            data: {mofano2: mofano2, myvouch: myvouch},
    //            success: function (response) {
    //                if (response != "") {
    //                    var vcno = response.vouchno;
    //                    var vcdt = response.vouchdt;
    //                    var vpassport = response.pass;
    //
    //                    var ctr = 0;
    //
    //                    if (ctr <= 1) {
    //                        alert(
    //                                "Already The same mofa no is been used on " +
    //                                vcdt +
    //                                " on passport no  " +
    //                                vpassport +
    //                                "  having voucher no  " +
    //                                vcno +
    //                                ""
    //                                );
    //                        $(".mofano2").val("");
    //                        ctr++;
    //                    }
    //                }
    //            },
    //            error: function (request, textStatus, errorThrown) {
    //            },
    //        });
    //    }

    function getUnqMofa() {
        var tr = $(this).closest("tr"),
                mofano = tr.find(".mofano").val(),
                myvouch = $(".myvouch").val();
        if (mofano != "") {
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "get_mofa.php",
                data: {mofano: mofano, myvouch: myvouch},
                success: function (response) {
                    if (response != "") {
                        var vpassport = response.passport,
                                vcno = response.myvouch,
//                                manualno = response.manualno,
                                vcdt = response.vouchdt;
                        if (vcno != "") {
                            alert(
                                    "This Mofa Number Exist For Passport Number  " +
                                    vpassport +
                                    " on File dated on " +
                                    vcdt +
                                    ""
                                    );
                            $(".mofano").val("");
                        }
                    }
                },
                error: function (request, textStatus, errorThrown) {},
            });
        }
    }

    function getmofa2() {
        var tr = $(this).closest("tr"),
                mofano2 = tr.find(".mofano2").val(),
                myvouch = $(".myvouch").val();
        if (mofano2 != "") {
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "get_mofa.php",
                data: {mofano: mofano2, myvouch: myvouch},
                success: function (response) {
                    if (response != "") {
                        var vpassport = response.passport,
                                vcno = response.vouchno,
                                vcdt = response.vouchdt;
                        if (vcno != "") {
                            alert(
                                    "This 2nd Mofa No. Exist for Passport No  " +
                                    vpassport +
                                    " on File No  " +
                                    vcno +
                                    "  dated on   " +
                                    vcdt +
                                    ""
                                    );
                            $(".mofano2").val("");
                        }
                    }
                },
                error: function (request, textStatus, errorThrown) {},
            });
        }
    }

    function getUnqVisano() {
        var visano = $(".visano").val(),
                myvouch = $(".myvouch").val();
        $.ajax({
            type: "POST",
            dataType: "json",
            url: "get_visano.php",
            data: {visano: visano, myvouch: myvouch},
            success: function (response) {
                if (response != "") {
                    var vcno = response.myvouch;
                    var vcdt = response.vouchdt;
                    var vman = response.manualno;

                    var ctr = 0;

                    if (ctr <= 1) {
                        alert(
                                "This Visa Already Exits on File Number " +
                                vman +
                                " Dated on " +
                                vcdt +
//                                "  having voucher no  " +
//                                vcno +
                                ""
                                );
                        $(".visano").val("");
                        ctr++;
                    }
                }
            },
            error: function (request, textStatus, errorThrown) {},
        });
    }

    // $("body").on(" change ", ".delvstatus,.visatype", getvisa1);

    $("body").on("blur", ".imig,.stamp,.mis,.mofa,.misc,.disc", Cal);
    $("body").on("blur", ".passport", checkSamePassport);

    function checkSamePassport() {
        var tr = $(this).closest("tr"),
                sr = tr.find(".srno").val(),
                passport = tr.find(".passport").val();
        if (passport != "") {
            $(".tbody")
                    .find("tr")
                    .each(function () {
                        var row = $(this);
                        var srno = row.find(".srno").val();
                        var passchk = row.find(".passport").val();
                        if (passport == passchk && srno != sr) {
                            alert("Passport  Already Exist  at Sr.  " + srno);
                            tr.find(".passport").val("");
                            tr.find(".passport").focus();
                            return false;
                        }
                    });
        }
    }

    function getfileno() {
        var manualno = $(".manualno").val(),
        myvouch = $(".myvouch").val();

        $.ajax({
            type: "POST",
            dataType: "json",
            url: "get_fileno.php",
            data: {manualno: manualno, myvouch: myvouch},
            success: function (response) {
                if (response != "") {
                    var vcno = response.vouchno;
                    var vcdt = response.vouchdt;
                    var file = response.manualno;

                    var ctr = 0;

                    if (ctr <= 1) {
                        alert("Already The same file is been used on " + vcdt + "");
                        $(".manualno").val("");
                        $(".manualno").focus();

                        ctr++;
                    }
                }
            },
            error: function (request, textStatus, errorThrown) {},
        });
    }

    // function getvisa1() {
    $(".tbody")
            .find("tr")
            .each(function () {
                var row = $(this);
                var delvstatus = row.find(".delvstatus").val();
                var visatype = row.find(".visatype").val();
                if (delvstatus == "E" && visatype == "W") {
                    $("#myEcr").modal("show");
                }
            });

    // }

    // $(".edit").hide();
    // var tr = $(this).closest("tr");
    // tr.find(".edit").hide();
    // $(".edit").hide();

    function getvisa() {
        var tr = $(this).closest("tr");
        var sr = tr.find(".srno").val();
        var edit = tr.find(".edit").val();

        var delvstatus = tr.find(".delvstatus").val();
        var visatype = $(".visatype").val();
        tr.find(".edit").hide();

        if (delvstatus == "E" && visatype == "W") {
            tr.find(".edit").show();
            $("#myEcr").modal("show");

            var tr = $(this).closest("tr"),
                    darndate = tr.find(".arndate").val(),
                    darn = tr.find(".arn").val(),
                    djobdes = tr.find(".jobdesig").val(),
                    djobid = tr.find(".jobid").val(),
                    dimgdate = tr.find(".imigdate").val(),
                    dimgstatus = tr.find(".imigstatus").val();

            $(".darndate").val(darndate);
            $(".darn").val(darn);
            $(".djobdes").val(djobdes);
            $(".djobid").val(djobid);
            $(".dimgdate").val(dimgdate);
            $(".dimgstatus").val(dimgstatus);

            $(".arndate").removeClass("dataarndate");
            $(".arn").removeClass("dataarn");
            $(".jobdesig").removeClass("datajobdes");
            $(".jobid").removeClass("datajobid");
            $(".imigdate").removeClass("dataimigdate");
            $(".imigstatus").removeClass("dataimigstatus");

            tr.find(".arndate").addClass("dataarndate");
            tr.find(".arn").addClass("dataarn");
            tr.find(".jobdesig").addClass("datajobdes");
            tr.find(".jobid").addClass("datajobid");
            tr.find(".imigdate").addClass("dataimigdate");
            tr.find(".imigstatus").addClass("dataimigstatus");
        }
    }

    function edit() {
        $("#myEcr").modal("show");

        // var tr = $(this).closest("tr"),
        //   edit = tr.find(".edit").val();
        // $("#broker").val(broker);
        // $("#myBroker").modal("hide");
        // $(".email").focus();
    }
    function edit1() {
        // var addflag = $(".addflag").val();
        // $("#myEcr1").modal("show");

        // if (addflag !== 1 || addflag == 1) {
        $("#myEcr1").modal("show");

    }

    function getmodal() {
        var tr = $(this).closest("tr"),
                pass1 = tr.find(".passport").val(),
                stampstatus1 = tr.find(".stampstatus").val(),
                add1 = tr.find(".address").val(),
                passrerem1 = tr.find(".passrerem").val(),
                passredt1 = tr.find(".passredt").val(),
                pax1 = tr.find(".paxname").val(),
                sex1 = tr.find(".sex").val(),
                recd1 = tr.find(".passrecd ").val(),
                dob1 = tr.find(".dob").val(),
                reg1 = tr.find(".religion").val(),
                pob1 = tr.find(".pob").val(),
                poi1 = tr.find(".issplace").val(),
                stay1 = tr.find(".periodstay").val(),
                doe1 = tr.find(".expdate").val(),
                doi1 = tr.find(".issdate").val(),
                sub1 = tr.find(".subdate").val(),
                mof1 = tr.find(".mofano").val(),
                mofd1 = tr.find(".mofdate").val(),
                mof2 = tr.find(".mofano2").val(),
                stamp1 = tr.find(".stampdate").val(),
                cat1 = tr.find(".cat").val(),
                pasd1 = tr.find(".passdeliver").val(),
                rem1 = tr.find(".remtran").val(),
                agenttran = tr.find(".agenttran").val(),
                use1 = tr.find(".file1").val(),
                vis1 = tr.find(".file2").val(),
                pasf1 = tr.find(".file3").val(),
                tmobile1 = tr.find(".tmobile").val(),
                pasb1 = tr.find(".file4").val();


        $(".agenttran1").val(agenttran);
        $(".tmobile1").val(tmobile1);
        $(".stampstatus1").val(stampstatus1);
        $(".passrerem1").val(passrerem1);
        $(".passredt1").val(passredt1);


        $(".pass1").val(pass1);
        $(".add1").val(add1);

        $(".poi1").val(poi1);
        $(".doe1").val(doe1);
        $(".sub1").val(sub1);
        $(".mof1").val(mof1);
        $(".mofd1").val(mofd1);

        $(".pob1").val(pob1);
        $(".pax1").val(pax1);
        $(".sex1").val(sex1).trigger("change");
        $(".recd1").val(recd1);
        $(".dob1").val(dob1);
        $(".reg1").val(reg1);
        $(".stay1").val(stay1);


        $(".mof2").val(mof2);
        $(".stamp1").val(stamp1);
        $(".cat1").val(cat1);
        $(".pasd1").val(pasd1);
        $(".rem1").val(rem1);
        // $(".use1").val(use1);
        $(".doi1").val(doi1);



        // $(".vis1").val(vis1);
        // $(".pasf1").val(pasf1);
        // $(".pasb1").val(pasb1);



        $(".agenttran").removeClass("datatagenttran");
        $(".tmobile").removeClass("datatmobile1");
        $(".stampstatus").removeClass("datastampstatus1");
        $(".passrerem").removeClass("datapassrerem1");
        $(".passredt").removeClass("datapassredt1");


        $(".passport").removeClass("datapass1");
        $(".address").removeClass("dataadd1");

        $(".paxname").removeClass("datapax1");
        $(".sex").removeClass("datasex1");
        $(".passrecd").removeClass("datarecd1");
        $(".dob").removeClass("datadob1");
        $(".issdate").removeClass("datadoi1");

        $(".religion").removeClass("datareg1");


        $(".pob").removeClass("datapob1");
        $(".issplace").removeClass("datapoi1");
        $(".expdate").removeClass("datadoe1");
        $(".subdate").removeClass("datasub1");
        $(".mofano").removeClass("datamof1");
        $(".mofdate").removeClass("datamofd1");

        $(".mofano2").removeClass("datamof2");
        $(".stampdate").removeClass("datastamp1");
        $(".cat").removeClass("datacat1");
        $(".passdeliver").removeClass("datapasd1");
        $(".remtran").removeClass("datarem1");
        $(".periodstay").removeClass("datastay1");




        // $(".file1").removeClass("datapasb1");
        // $(".file2").removeClass("datapasf1");
        // $(".file4").removeClass("datavis1");
        // $(".file3").removeClass("dataimigstatus");

        tr.find(".agenttran").addClass("dataagenttran");
        tr.find(".tmobile").addClass("datatmobile1");
        tr.find(".stampstatus").addClass("datastampstatus1");
        tr.find(".passrerem").addClass("datapassrerem1");
        tr.find(".passredt").addClass("datapassredt1");


        tr.find(".passport").addClass("datapass1");
        tr.find(".address").addClass("dataadd1");

        tr.find(".paxname").addClass("datapax1");
        tr.find(".sex").addClass("datasex1");
        tr.find(".passrecd").addClass("datarecd1");
        tr.find(".dob").addClass("datadob1");
        tr.find(".religion").addClass("datareg1");
        tr.find(".periodstay").addClass("datastay1");



        tr.find(".pob").addClass("datapob1");
        tr.find(".issplace").addClass("datapoi1");
        tr.find(".issdate").addClass("datadoi1");

        tr.find(".expdate").addClass("datadoe1");
        tr.find(".subdate").addClass("datasub1");
        tr.find(".mofano").addClass("datamof1");
        tr.find(".mofdate").addClass("datamofd1");

        tr.find(".mofano2").addClass("datamof2");
        tr.find(".stampdate").addClass("datastamp1");
        tr.find(".cat").addClass("datacat1");
        tr.find(".passdeliver").addClass("datapasd1");
        tr.find(".remtran").addClass("datarem1");

        // tr.find(".file1").addClass("datapasd1");
        // tr.find(".file2").addClass("datapasf1");
        // tr.find(".file4").addClass("datavis1");
        // tr.find(".file3").addClass("datause1");
    }

    function savePart() {
        var pass1 = $(".pass1").val(),
                stampstatus1 = $(".stampstatus1").val(),
                passrerem1 = $(".passrerem1").val(),
                passredt1 = $(".passredt1").val(),
                add1 = $(".add1").val(),
                recd1 = $(".recd1").val(),
                pax1 = $(".pax1").val(),
                sex1 = $(".sex1").val(),
                dob1 = $(".dob1").val(),
                reg1 = $(".reg1").val(),
                pob1 = $(".pob1").val(),
                poi1 = $(".poi1").val(),
                stay1 = $(".stay1").val(),
                doi1 = $(".doi1").val(),
                doe1 = $(".doe1").val(),
                sub1 = $(".sub1").val(),
                mof1 = $(".mof1").val(),
                mofd1 = $(".mofd1").val(),
                mof2 = $(".mof2").val(),
                stamp1 = $(".stamp1").val(),
                cat1 = $(".cat1").val(),
                pasd1 = $(".pasd1").val(),
                rem1 = $(".rem1").val(),
                use1 = $(".use1").val(),
                vis1 = $(".vis1").val(),
                pasf1 = $(".pasf1").val(),
                tmobile1 = $(".tmobile1").val(),
                agenttran1 = $(".agenttran1").val(),
                pasb1 = $(".pasb1").val();


        $(".dataagenttran").val(agenttran1);
        $(".datatmobile1").val(tmobile1);
        $(".datastampstatus1").val(stampstatus1).trigger("change");

        $(".dataadd1").val(add1);
        $(".datapassredt1").val(passredt1);
        $(".datapassrerem1").val(passrerem1).trigger("change");


        $(".datapass1").val(pass1);
        $(".datarecd1").val(recd1);
        $(".datapax1").val(pax1);
        $(".datasex1").val(sex1).trigger("change");
        $(".datadob1").val(dob1);
        $(".datadoe1").val(doe1);
        $(".datareg1").val(reg1);
        $(".datapoi1").val(poi1);
        $(".datapob1").val(pob1);
        $(".datastay1").val(stay1);
        $(".datadoe1").val(doe1);
        $(".datadoi1").val(doi1);
        $(".datasub1").val(sub1);
        $(".datamof1").val(mof1);
        $(".datamofd1").val(mofd1);
        $(".datamof2").val(mof2);
        $(".datastamp1").val(stamp1);
        $(".datacat1").val(cat1);
        $(".datapasd1").val(pasd1);
        $(".datapasb1").val(pasb1);

        $(".datapasf1").val(pasf1);
        $(".datavis1").val(vis1);
        // $(".datause1").val(use1);
        $(".datarem1").val(rem1);
        // console.log(datause1);

        $(".agenttran").removeClass("dataagenttran");
        $(".tmobile").removeClass("datatmobile1");
        $(".passrerem1").removeClass("datapassrerem1");
        $(".passredt1").removeClass("datapassredt1");

        $(".mof1").removeClass("datamof1");
        $(".mofd1").removeClass("datamofd1");
        $(".mof2").removeClass("datamof2");
        $(".stamp1").removeClass("datastamp1");
        $(".cat1").removeClass("datacat1");
        $(".pasb1").removeClass("datapasb1");
        $(".pasf1").removeClass("datapasf1");
        $(".vis1").removeClass("datavis1");
        // $(".use1").removeClass("datause1");
        $(".rem1").removeClass("datarem1");
        $(".cat1").removeClass("datacat1");
        $(".pasd1").removeClass("datapasd1");
        $(".reg1").removeClass("datareg1");
        $(".poi1").removeClass("datapoi1");
        $(".pob1").removeClass("datapob1");
        $(".stay1").removeClass("datastay1");
        $(".doi1").removeClass("datadoi1");
        $(".sub1").removeClass("datasub1");
        $(".pass1").removeClass("datapass1");
        $(".add1").removeClass("dataadd1");

        $(".recd1").removeClass("datarecd1");
        $(".pax1").removeClass("datapax1");
        $(".sex1").removeClass("datasex1");
        $(".stampstatus1").removeClass("datastampstatus1");

        $(".dob1").removeClass("datadob1");
        $(".doe1").removeClass("datadoe1");


        $("#myEcr1").modal("hide");
    }

    function saveLightDet() {
        var darndate = $(".darndate").val(),
                darn = $(".darn").val(),
                djobdes = $(".djobdes").val(),
                djobid = $(".djobid").val(),
                dimgdate = $(".dimgdate").val(),
                dimgstatus = $(".dimgstatus").val();

        $(".dataarndate").val(darndate);
        $(".dataarn").val(darn);
        $(".datajobdes").val(djobdes);
        $(".datajobid").val(djobid);
        $(".dataimigdate").val(dimgdate);
        $(".dataimigstatus").val(dimgstatus);

        $(".arndate").removeClass("dataarndate");
        $(".arn").removeClass("dataarn");
        $(".jobdesig").removeClass("datajobdes");
        $(".jobid").removeClass("datajobid");
        $(".imigdate").removeClass("dataimigdate");
        $(".imigstatus").removeClass("dataimigstatus");

        $("#myEcr").modal("hide");
    }

    function getpassport() {
        var tr = $(this).closest("tr"),
                passport = tr.find(".passport").val(),
                myvouch = $(".myvouch").val();
        if (passport != "") {
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "get_passport.php",
                data: {passport: passport, myvouch: myvouch},
                success: function (response) {
                    if (response != "") {
                        var myvouch = response.myvouch;
                        var vcdt = response.vouchdt;
                        var ctr = 0;

                        if (ctr <= 1) {
                            alert(
                                    "Already The same passport is been used on " +
                                    vcdt +
                                    "   passport no   " +
                                    passport +
                                    "  having voucher no  " +
                                    vcno +
                                    ""
                                    );
                            $(".passport").val();
                            ctr++;
                        }
                    }
                },
                error: function (request, textStatus, errorThrown) {},
            });
        }
    }
//************    
//    function getVisaMofa() {
//        var tr = $(this).closest("tr"),
//                visano = $(".visano").val(),
//                mofano = tr.find(".mofano").val(),
//                passport = tr.find(".passport").val(),
//                myvouch = $(".myvouch").val();
//        if (visano != "") {
//            $.ajax({
//                type: "POST",
//                dataType: "json",
//                url: "get_visamofa.php",
//                data: {mofano: mofano, visano:visano, passport:passport,myvouch: myvouch},
//                success: function (response) {
//                    if (response != "") {
//                        var myvouch = response.myvouch;
//                        var vcdt = response.vouchdt;
//                        var ctr = 0;
//
//                        if (ctr <= 1) {
//                            alert(
//                                    "Already The same Visa is been used on " + vcdt + "  having voucher no  " + myvouch + ""
//                                    );
//                            $(".visano").val();
//                            ctr++;
//                        }
//                    }
//                },
//                error: function (request, textStatus, errorThrown) {},
//            });
//        }
//    }
//    ******************
    function getImgModal1() {
        var tr = $(this).closest("tr"),
                vouchno = $(".myvouch").val(),
                srno = tr.find(".srno").val();
        if (vouchno != "" && srno != "") {
            $.post(
                    "showImage1.php",
                    {vouchno: vouchno, srno: srno},
                    function (data) {
                        if (data != "") {
                            $(".tbody5").html(data);
                            $(".imgModal1").modal("show");
                        }
                    }
            );
        }
    }

    function getImgModal() {
        var tr = $(this).closest("tr"),
                vouchno = $(".myvouch").val(),
                srno = tr.find(".srno").val();
        if (vouchno != "" && srno != "") {
            $.post(
                    "showImage.php",
                    {vouchno: vouchno, srno: srno},
                    function (data) {
                        if (data != "") {
                            $(".tbody4").html(data);
                            $(".imgModal").modal("show");
                        }
                    }
            );
        }
    }
    function brokfilval() {
        var tr = $(this).closest("tr"),
                broker = tr.find(".tdbroker").text();
        $("#broker").val(broker);
        $("#myBroker").modal("hide");
        $(".email").focus();
    }

    function Cal() {
        var imig = $(".imig").val();
        var stamp = $(".stamp").val();
        var mis = $(".mis").val();
        var mofa = $(".mofa").val();
        var misc = $(".misc").val();

        var total =
                parseFloat(imig) +
                parseFloat(stamp) +
                parseFloat(mis) +
                parseFloat(mofa) +
                parseFloat(misc);
        $(".total").val(total);
        var disc = $(".disc").val();
        var final = parseFloat(total) - parseFloat(disc);
        $(".tot").val(final);
    }

    $("#broksrch").keyup(function () {
        var ssearch = $("#broksrch").val();

        if (ssearch != "") {
            $.get("get_broker.php", {ssearch: ssearch}, function (data) {
                $(".brokbody").html(data);
            });
        }
    });

    $("#brksrch").click(function () {
        var sponsor = $(".sponsor").val();
        if (sponsor == "") {
            $.get("get_broker.php", function (data) {
                $("#myBroker").modal("show");
                $(".brokbody").html(data);
            });
        }
    });

    function filval() {
        var tr = $(this).closest("tr"),
                sponsor = tr.find(".tdsponsor").text();
        $("#sponsor").val(sponsor);
        $("#myModal").modal("hide");
        $(".broker").focus();
    }

    $("#sponsrch").keyup(function () {
        var ssearch = $("#sponsrch").val();

        if (ssearch != "") {
            $.get("get_sponsor.php", {ssearch: ssearch}, function (data) {
                $(".modalbody").html(data);
            });
        }
    });

    $("#spnname").click(function () {
        var sponsor = $(".sponsor").val();
        if (sponsor == "") {
            $.get("get_sponsor.php", function (data) {
                $("#myModal").modal("show");
                $(".modalbody").html(data);
            });
        }
    });

    $("#hsearch").hide();
    //  $("#hprevious").hide();
    //  $("#hnext").hide();
    //    $("#hprint").hide();

    $("#preview").dblclick(function () {
        var src = $(this).attr("src");
        window.open(src, "_blank");
    });

    $(".preview").dblclick(function () {
        var src = $(this).attr("src");
        window.open(src, "_blank");
    });

//    $(".visa").click(function () {
//        $(".VisaModal").modal("show");
//    });

    $("#hedit").click(function () {
        stopedit();
    });

    function stopedit() {
        var addflag = $(".addflag").val();

        if (addflag !== 1) {
            //            $('.visatype').prop('disabled', 'disabled');
        }
    }

    $(".newsave").click(function () {
        $(".tbody3")
                .find("tr")
                .each(function () {
                    var row = $(this),
                            code = row.find(".code").val(),
                            name = row.find(".tname").val();
                    if (name != "") {
                        $.post("save_new.php", {code: code, name: name}, function (data) {
                            $(".visatype").html(data).trigger("change");
                        });
                    }
                });
        $(".VisaModal").modal("hide");
    });

    $(window).keydown(function (event) {
        if (event.altKey && event.keyCode == 84) {
            // Alt+T
            $(".VisaModal").modal("show");
        }
    });

    function previewimg() {
        function readIMG(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $("#preview").attr("src", e.target.result);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
        readIMG(this);
    }

    function preview_rowimg() {
        var tr = $(this).closest("tr");

        function readIMG(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    tr.find(".preview").attr("src", e.target.result);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
        readIMG(this);
    }

    function remove() {
        if ($(this).hasClass("rdel")) {
            var tr = $(this).closest("tr"),
                    code = tr.find(".code").val(),
                    element = $(this).closest("tr"),
                    addflag = $(".addflag").val(),
                    name = tr.find(".tname").val();
            if (confirm("Do You Want To Delete ?")) {
                $(this).closest("tr").remove();
                $.post("del.php", {code: code, name: name}, function (data) {
                    if (data !== "") {
                        if (data === "Cannot Delete Entries Exist For This Visatype.") {
                            alert(data);
                            $(".tbody3").append(element);
                        } else {
                            if (addflag === 1) {
                                $(".visatype").html(data).trigger("change");
                            }
                        }
                    }
                });
            }
        } else {
            $(this).closest("tr").remove();
        }
    }

    //    $('.category').click(function (event) {
    //        event.preventDefault();
    //        $('.cat_d').show();
    //        $('.pax_d').hide();
    //
    //    });
    //    $('.paxdetail').click(function (event) {
    //        event.preventDefault();
    //        $('.pax_d').show();
    //        $('.cat_d').hide();
    //
    //    });

    //    $("#finishTab").click(function () {
    //        var valid = true;
    //
    //
    //
    //        $(".myTable").find('tr').each(function () {
    //            var row = $(this);
    //            var srno = row.find('.sno').val();
    //            var rate = row.find('.rate').val();
    //            var item = row.find('.item').val();
    //            if (item != '') {
    //                if (rate == 0) {
    //                    alert('Rate Cannot Be Zero For Item  ' + item + '  at Sr.  ' + srno);
    ////                return false;
    //                    valid = false;
    //                    row.find('.rate').focus();
    //                }
    //            }
    //
    //        });
    //
    //
    //        if (valid) {
    //            var isValid = true;
    //
    //            if (isValid) {
    //                $("#submit").show();
    //                $("#submit").click();
    //
    //            }
    //        }
    //    });

    function chkexist() {
        var visatype = $(".visatype").val(),
                manualno = $(".manualno").val(),
                visano = $(".visano").val(),
                id = $(this).attr("id"),
                voucher = $(".voucher").val();

        if (id === "visano") {
            if (visano !== "") {
                $.post(
                        "chk_exist.php",
                        {visatype: visatype, voucher: voucher, visano: visano, id: id},
                        function (data) {
                            if (data != "") {
                                $(".visano").val("");
                                alert(data);
                                $(".visano").focus();
                            }
                        }
                );
            }
        } else {
            if (manualno !== "") {
                $.post(
                        "chk_exist.php",
                        {visatype: visatype, voucher: voucher, manualno: manualno, id: id},
                        function (data) {
                            if (data != "") {
                                $(".manualno").val("");
                                alert(data);
                                $(".manualno").focus();
                            }
                        }
                );
            }
        }
    }

    $(".visatype").focus();

    function getvouch() {

        var visatype = $(".visatype").val(),
                addflag = $(".addflag").val(),
                voucher = $(".voucher").val(),
                prefix = $(".prefix").val();
//
//        if (visatype == "F") {
//            $(".prefix").val("PF");
//        } else {
            $(".prefix").val("S0");
//        }
        prefix = $(".prefix").val();

        if (addflag == 1) {
            $.post("get_vouch.php", {prefix: prefix}, function (data) {
                $(".voucher").val(data);
                var voucher = $(".voucher").val();
                var manual = prefix + voucher;
                $(".manualno").val(manual);
            });
        }
    }

    $("#addnew").click(function () {
        AddRows();
    });

    $("#addnew2").click(function () {
        AddRows2();
    });

    $("#addnew3").click(function () {
        AddRows3();
    });

    function AddRows() {
        var ctr = $("#items").val();
        var addflg = $(".addflg").val();
        var visatype = $(".visatype").val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post(
                "pax_add.php",
                {ctr: ctr, hide: hide_check, addflg: addflg,visatype:visatype},
                function (data) {
                    $(data).appendTo(".tbody");
                    ctr++;
                    $("#items").val(ctr);
                }
        );
    }

    function AddRows2() {
        var ctr = $("#items2").val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post("category_add.php", {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo(".tbody2");
            ctr++;
            $("#items2").val(ctr);
        });
    }

    function AddRows3() {
        var hide_check = "";
        var ctr = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post("type_add.php", {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo(".tbody3");
        });
    }

//    $("form").submit(function () {
//
//        var visano = $(".visano").val();
//        var myvouch = $(".myvouch").val();
//        $.ajax({
//            type: "POST",
//            dataType: "json",
//            url: "get_visano.php",
//            data: {visano: visano, myvouch: myvouch},
//            success: function (response) {
//                if (response != "") {
//                    var vcno = response.myvouch;
//                    var vcdt = response.vouchdt;
//                    var vman = response.manualno;
//
//                    var ctr = 0;
//
//                    if (ctr <= 1) {
//                        alert(
//                                "This Visa Already Exits on File Number " +
//                                vman +
//                                " Dated on " +
//                                vcdt +
////                                "  having voucher no  " +
////                                vcno +
//                                ""
//                                );
//                        $(".visano").val("");
//                        ctr++;
//                        return false;
//                        event.preventDefault();
//
//                    }
//
//                }
//            },
//            error: function (request, textStatus, errorThrown) {},
//        });
//    });
});
